gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[GNUnet-SVN] r30930 - gnunet/src/gns


From: gnunet
Subject: [GNUnet-SVN] r30930 - gnunet/src/gns
Date: Thu, 28 Nov 2013 11:42:15 +0100

Author: wachs
Date: 2013-11-28 11:42:15 +0100 (Thu, 28 Nov 2013)
New Revision: 30930

Modified:
   gnunet/src/gns/test_gns_cname_lookup.sh
   gnunet/src/gns/test_gns_delegated_lookup.sh
   gnunet/src/gns/test_gns_dht_lookup.sh
   gnunet/src/gns/test_gns_gns2dns_lookup.sh
   gnunet/src/gns/test_gns_ipv6_lookup.sh
   gnunet/src/gns/test_gns_lookup.sh
   gnunet/src/gns/test_gns_mx_lookup.sh
   gnunet/src/gns/test_gns_nick_shorten.sh
   gnunet/src/gns/test_gns_plus_lookup.sh
   gnunet/src/gns/test_gns_quickupdate.sh
   gnunet/src/gns/test_gns_rel_expiration.sh
   gnunet/src/gns/test_gns_revocation.sh
   gnunet/src/gns/test_gns_soa_lookup.sh
   gnunet/src/gns/test_gns_txt_lookup.sh
   gnunet/src/gns/test_gns_zkey_lookup.sh
   gnunet/src/gns/test_gnunet_gns.sh
Log:
add cli check


Modified: gnunet/src/gns/test_gns_cname_lookup.sh
===================================================================
--- gnunet/src/gns/test_gns_cname_lookup.sh     2013-11-28 10:38:38 UTC (rev 
30929)
+++ gnunet/src/gns/test_gns_cname_lookup.sh     2013-11-28 10:42:15 UTC (rev 
30930)
@@ -1,5 +1,13 @@
 #!/bin/bash
 trap "gnunet-arm -e -c test_gns_lookup.conf" SIGINT
+
+LOCATION=$(which gnunet-config)
+if [ -z $LOCATION ]
+then
+       echo "GNUnet command line tools cannot be found, check environmental 
variables PATH and GNUNET_PREFIX" 
+       exit 1
+fi
+
 rm -rf `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f`
 TEST_DOMAIN_PLUS="www.gnu"
 TEST_DOMAIN_DNS="www3.gnu"

Modified: gnunet/src/gns/test_gns_delegated_lookup.sh
===================================================================
--- gnunet/src/gns/test_gns_delegated_lookup.sh 2013-11-28 10:38:38 UTC (rev 
30929)
+++ gnunet/src/gns/test_gns_delegated_lookup.sh 2013-11-28 10:42:15 UTC (rev 
30930)
@@ -1,6 +1,14 @@
 #!/bin/bash
 trap "gnunet-arm -e -c test_gns_lookup.conf" SIGINT
 which timeout &> /dev/null && DO_TIMEOUT="timeout 30"
+
+LOCATION=$(which gnunet-config)
+if [ -z $LOCATION ]
+then
+       echo "GNUnet command line tools cannot be found, check environmental 
variables PATH and GNUNET_PREFIX" 
+       exit 1
+fi
+
 rm -rf `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f`
 
 TEST_IP="127.0.0.1"

Modified: gnunet/src/gns/test_gns_dht_lookup.sh
===================================================================
--- gnunet/src/gns/test_gns_dht_lookup.sh       2013-11-28 10:38:38 UTC (rev 
30929)
+++ gnunet/src/gns/test_gns_dht_lookup.sh       2013-11-28 10:42:15 UTC (rev 
30930)
@@ -2,6 +2,13 @@
 trap "gnunet-arm -e -c test_gns_lookup.conf" SIGINT
 which timeout &> /dev/null && DO_TIMEOUT="timeout 30"
 
+LOCATION=$(which gnunet-config)
+if [ -z $LOCATION ]
+then
+       echo "GNUnet command line tools cannot be found, check environmental 
variables PATH and GNUNET_PREFIX" 
+       exit 1
+fi
+
 TEST_IP="127.0.0.1"
 gnunet-arm -s -c test_gns_lookup.conf
 gnunet-identity -C delegatedego -c test_gns_lookup.conf

Modified: gnunet/src/gns/test_gns_gns2dns_lookup.sh
===================================================================
--- gnunet/src/gns/test_gns_gns2dns_lookup.sh   2013-11-28 10:38:38 UTC (rev 
30929)
+++ gnunet/src/gns/test_gns_gns2dns_lookup.sh   2013-11-28 10:42:15 UTC (rev 
30930)
@@ -1,5 +1,13 @@
 #!/bin/bash
 trap "gnunet-arm -e -c test_gns_lookup.conf" SIGINT
+
+LOCATION=$(which gnunet-config)
+if [ -z $LOCATION ]
+then
+       echo "GNUnet command line tools cannot be found, check environmental 
variables PATH and GNUNET_PREFIX" 
+       exit 1
+fi
+
 rm -r `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f`
 # IP address of 'uk.gnunet.org'
 TEST_IP_ALT2="81.187.252.184"

Modified: gnunet/src/gns/test_gns_ipv6_lookup.sh
===================================================================
--- gnunet/src/gns/test_gns_ipv6_lookup.sh      2013-11-28 10:38:38 UTC (rev 
30929)
+++ gnunet/src/gns/test_gns_ipv6_lookup.sh      2013-11-28 10:42:15 UTC (rev 
30930)
@@ -1,5 +1,13 @@
 #!/bin/bash
 trap "gnunet-arm -e -c test_gns_lookup.conf" SIGINT
+
+LOCATION=$(which gnunet-config)
+if [ -z $LOCATION ]
+then
+       echo "GNUnet command line tools cannot be found, check environmental 
variables PATH and GNUNET_PREFIX" 
+       exit 1
+fi
+
 rm -r `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f`
 which timeout &> /dev/null && DO_TIMEOUT="timeout 30"
 TEST_IP="dead::beef"

Modified: gnunet/src/gns/test_gns_lookup.sh
===================================================================
--- gnunet/src/gns/test_gns_lookup.sh   2013-11-28 10:38:38 UTC (rev 30929)
+++ gnunet/src/gns/test_gns_lookup.sh   2013-11-28 10:42:15 UTC (rev 30930)
@@ -1,5 +1,13 @@
 #!/bin/bash
 trap "gnunet-arm -e -c test_gns_lookup.conf" SIGINT
+
+LOCATION=$(which gnunet-config)
+if [ -z $LOCATION ]
+then
+       echo "GNUnet command line tools cannot be found, check environmental 
variables PATH and GNUNET_PREFIX" 
+       exit 1
+fi
+
 rm -r `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f`
 which timeout &> /dev/null && DO_TIMEOUT="timeout 30"
 TEST_IP="127.0.0.1"

Modified: gnunet/src/gns/test_gns_mx_lookup.sh
===================================================================
--- gnunet/src/gns/test_gns_mx_lookup.sh        2013-11-28 10:38:38 UTC (rev 
30929)
+++ gnunet/src/gns/test_gns_mx_lookup.sh        2013-11-28 10:42:15 UTC (rev 
30930)
@@ -1,5 +1,13 @@
 #!/bin/bash
 trap "gnunet-arm -e -c test_gns_lookup.conf" SIGINT
+
+LOCATION=$(which gnunet-config)
+if [ -z $LOCATION ]
+then
+       echo "GNUnet command line tools cannot be found, check environmental 
variables PATH and GNUNET_PREFIX" 
+       exit 1
+fi
+
 rm -fr `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f`
 which timeout &> /dev/null && DO_TIMEOUT="timeout 5"
 

Modified: gnunet/src/gns/test_gns_nick_shorten.sh
===================================================================
--- gnunet/src/gns/test_gns_nick_shorten.sh     2013-11-28 10:38:38 UTC (rev 
30929)
+++ gnunet/src/gns/test_gns_nick_shorten.sh     2013-11-28 10:42:15 UTC (rev 
30930)
@@ -7,6 +7,13 @@
 # zone "delegatedego": Alice's zone
 # zone "testego": Local zone with delegation to alice
 
+LOCATION=$(which gnunet-config)
+if [ -z $LOCATION ]
+then
+       echo "GNUnet command line tools cannot be found, check environmental 
variables PATH and GNUNET_PREFIX" 
+       exit 1
+fi
+
 # Deleting home directory from previous runs
 rm -rf `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f`
 TEST_IP="127.0.0.1"

Modified: gnunet/src/gns/test_gns_plus_lookup.sh
===================================================================
--- gnunet/src/gns/test_gns_plus_lookup.sh      2013-11-28 10:38:38 UTC (rev 
30929)
+++ gnunet/src/gns/test_gns_plus_lookup.sh      2013-11-28 10:42:15 UTC (rev 
30930)
@@ -1,5 +1,13 @@
 #!/bin/bash
 trap "gnunet-arm -e -c test_gns_lookup.conf" SIGINT
+
+LOCATION=$(which gnunet-config)
+if [ -z $LOCATION ]
+then
+       echo "GNUnet command line tools cannot be found, check environmental 
variables PATH and GNUNET_PREFIX" 
+       exit 1
+fi
+
 which timeout &> /dev/null && DO_TIMEOUT="timeout 5"
 rm -rf `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f`
 

Modified: gnunet/src/gns/test_gns_quickupdate.sh
===================================================================
--- gnunet/src/gns/test_gns_quickupdate.sh      2013-11-28 10:38:38 UTC (rev 
30929)
+++ gnunet/src/gns/test_gns_quickupdate.sh      2013-11-28 10:42:15 UTC (rev 
30930)
@@ -1,5 +1,13 @@
 #!/bin/bash
 trap "gnunet-arm -e -c test_gns_lookup.conf" SIGINT
+
+LOCATION=$(which gnunet-config)
+if [ -z $LOCATION ]
+then
+       echo "GNUnet command line tools cannot be found, check environmental 
variables PATH and GNUNET_PREFIX" 
+       exit 1
+fi
+
 rm -r `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f`
 which timeout &> /dev/null && DO_TIMEOUT="timeout 5"
 TEST_IP="127.0.0.1"

Modified: gnunet/src/gns/test_gns_rel_expiration.sh
===================================================================
--- gnunet/src/gns/test_gns_rel_expiration.sh   2013-11-28 10:38:38 UTC (rev 
30929)
+++ gnunet/src/gns/test_gns_rel_expiration.sh   2013-11-28 10:42:15 UTC (rev 
30930)
@@ -1,5 +1,13 @@
 #!/bin/bash
 trap "gnunet-arm -e -c test_gns_lookup.conf" SIGINT
+
+LOCATION=$(which gnunet-config)
+if [ -z $LOCATION ]
+then
+       echo "GNUnet command line tools cannot be found, check environmental 
variables PATH and GNUNET_PREFIX" 
+       exit 1
+fi
+
 rm -r `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f`
 which timeout &> /dev/null && DO_TIMEOUT="timeout 5"
 TEST_IP="127.0.0.1"

Modified: gnunet/src/gns/test_gns_revocation.sh
===================================================================
--- gnunet/src/gns/test_gns_revocation.sh       2013-11-28 10:38:38 UTC (rev 
30929)
+++ gnunet/src/gns/test_gns_revocation.sh       2013-11-28 10:42:15 UTC (rev 
30930)
@@ -1,6 +1,14 @@
 #!/bin/bash
 trap "gnunet-arm -e -c test_gns_lookup.conf" SIGINT
 which timeout &> /dev/null && DO_TIMEOUT="timeout 5"
+
+LOCATION=$(which gnunet-config)
+if [ -z $LOCATION ]
+then
+       echo "GNUnet command line tools cannot be found, check environmental 
variables PATH and GNUNET_PREFIX" 
+       exit 1
+fi
+
 rm -rf `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f`
 
 TEST_IP="127.0.0.1"

Modified: gnunet/src/gns/test_gns_soa_lookup.sh
===================================================================
--- gnunet/src/gns/test_gns_soa_lookup.sh       2013-11-28 10:38:38 UTC (rev 
30929)
+++ gnunet/src/gns/test_gns_soa_lookup.sh       2013-11-28 10:42:15 UTC (rev 
30930)
@@ -1,5 +1,13 @@
 #!/bin/bash
 trap "gnunet-arm -e -c test_gns_lookup.conf" SIGINT
+
+LOCATION=$(which gnunet-config)
+if [ -z $LOCATION ]
+then
+       echo "GNUnet command line tools cannot be found, check environmental 
variables PATH and GNUNET_PREFIX" 
+       exit 1
+fi
+
 rm -r `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f`
 TEST_DOMAIN="homepage.gnu"
 # some public DNS resolver we can use

Modified: gnunet/src/gns/test_gns_txt_lookup.sh
===================================================================
--- gnunet/src/gns/test_gns_txt_lookup.sh       2013-11-28 10:38:38 UTC (rev 
30929)
+++ gnunet/src/gns/test_gns_txt_lookup.sh       2013-11-28 10:42:15 UTC (rev 
30930)
@@ -1,5 +1,13 @@
 #!/bin/bash
 trap "gnunet-arm -e -c test_gns_lookup.conf" SIGINT
+
+LOCATION=$(which gnunet-config)
+if [ -z $LOCATION ]
+then
+       echo "GNUnet command line tools cannot be found, check environmental 
variables PATH and GNUNET_PREFIX" 
+       exit 1
+fi
+
 rm -r `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f`
 which timeout &> /dev/null && DO_TIMEOUT="timeout 30"
 TEST_TXT="GNS powered txt record data"

Modified: gnunet/src/gns/test_gns_zkey_lookup.sh
===================================================================
--- gnunet/src/gns/test_gns_zkey_lookup.sh      2013-11-28 10:38:38 UTC (rev 
30929)
+++ gnunet/src/gns/test_gns_zkey_lookup.sh      2013-11-28 10:42:15 UTC (rev 
30930)
@@ -1,6 +1,14 @@
 #!/bin/bash
 trap "gnunet-arm -e -c test_gns_lookup.conf" SIGINT
 which timeout &> /dev/null && DO_TIMEOUT="timeout 5"
+
+LOCATION=$(which gnunet-config)
+if [ -z $LOCATION ]
+then
+       echo "GNUnet command line tools cannot be found, check environmental 
variables PATH and GNUNET_PREFIX" 
+       exit 1
+fi
+
 rm -rf `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f`
 
 TEST_IP="127.0.0.1"

Modified: gnunet/src/gns/test_gnunet_gns.sh
===================================================================
--- gnunet/src/gns/test_gnunet_gns.sh   2013-11-28 10:38:38 UTC (rev 30929)
+++ gnunet/src/gns/test_gnunet_gns.sh   2013-11-28 10:42:15 UTC (rev 30930)
@@ -1,4 +1,12 @@
 #!/bin/bash
+
+LOCATION=$(which gnunet-config)
+if [ -z $LOCATION ]
+then
+       echo "GNUnet command line tools cannot be found, check environmental 
variables PATH and GNUNET_PREFIX" 
+       exit 1
+fi
+
 trap "gnunet-arm -e -c test_gns_lookup.conf" SIGINT
 ME=`whoami`
 if [ "$ME" != "root" ]




reply via email to

[Prev in Thread] Current Thread [Next in Thread]